Bug 161179 - CPU utilization is constant at 50% on AMD64 using ATI Xpress 200 onboard Graphics (MSI RS480M2-IL)
CPU utilization is constant at 50% on AMD64 using ATI Xpress 200 onboard Grap...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-06-21 01:47 EDT by Jerry Wang
Modified: 2015-01-04 17:20 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-04 09:55:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jerry Wang 2005-06-21 01:47:56 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.8) Gecko/20050511 Firefox/1.0.4

Description of problem:
My system specs:

Motherboard: MSI RS480M2-IL (with onboard Graphics - 64 MB shared memory)
Chipset: ATI Xpress 200 (graphis core X300)
CPU: AMD64 3500+
Memory: Dual DDR400 Crucial 2 x 512 MB
Hardisk: Maxtor 160 GB IDE
CDROM: LG CDRW IDE


Installing Fedora Core 4 x86_CD using CDROM
I have done fresh installation 4 times with the exact same problem.

Inside GNOME desktop, Gnome system monitor shows constant CPU utilization about 50%.

Checking with top reveal:

.....
CPU(%): .... % ...   id: 49.8% .... si: 48.7%....

....

They are constant even without anything else running in the background or any user activity such as browsing.

----------------------------

Installing fresh i386 Fedora Core 4 CDs on this system does not have this problem.

----------------------------

The funny thing is, I cannot find the running process in system monitor that utilizes the 50% CPU. I tried to use ps -fel too and it shows no process that runs with 50% CPU utilization.


Version-Release number of selected component (if applicable):
latest version as at June 6, 2005: kernel-2.6.11.......(provided by the x86_64 installation CD)

How reproducible:
Always

Steps to Reproduce:
1. Install FC4 x86_64 on MSI RS480M2 - IL
2. After graphical login to Gnome desktop, check CPU utilization with Gnome system monitor or top command.
3. CPU utilization is always constant at around 50%.
  

Actual Results:  CPU is 50%

Expected Results:  Should be close to 0% since I don't do any activity and there is nothing running in the background.

Additional info:
Comment 1 Dave Jones 2005-06-24 23:16:47 EDT
could be a dupe of 161153.  Can you boot with profile=1 as a boot parameter, and
run readprofile please ?
Comment 2 Jerry Wang 2005-06-26 11:22:41 EDT
I solved the problem by disabling the ACPI in the BIOS.

Once it was disabled, the CPU utilization went normal.

However, my onboard network card on this MSI RS480M2-IL (ATI Radeon Xpress 200)
was not detected anymore.

I finally gave up on this motherboard when the motherboard could not boot
anymore using Dual Channel mode.

So much problem with this mobo. See: 
http://scottstuff.net/scott/archives/000391.html

Although, that thread did not mention about 50% utilization. But it could be
related.

I finally bought a new mobo, Abit AV8 Via KT800. It works well on x86_64 mode.

Thanks
Comment 3 Dave Jones 2005-07-15 17:38:59 EDT
[This comment has been added as a mass update for all FC4 kernel bugs.
 If you have migrated this bug from an FC3 bug today, ignore this comment.]

Please retest your problem with todays 2.6.12-1.1398_FC4 update.

If your problem involved being unable to boot, or some hardware not being
detected correctly, please make sure your /etc/modprobe.conf is correct *BEFORE*
installing any kernel updates.
If in doubt, you can recreate this file using..

mv /etc/sysconfig/hwconf /etc/sysconfig/hwconf.bak
mv /etc/modprobe.conf /etc/modprobe.conf.bak
kudzu


Thank you.
Comment 4 Dave Jones 2005-09-30 03:01:31 EDT
Mass update to all FC4 bugs:

An update has been released (2.6.13-1.1526_FC4) which rebases to a new upstream
kernel (2.6.13.2). As there were ~3500 changes upstream between this and the
previous kernel, it's possible your bug has been fixed already.

Please retest with this update, and update this bug if necessary.

Thanks.
Comment 5 Dave Jones 2005-11-10 15:07:13 EST
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.
Comment 6 Dave Jones 2006-02-03 02:13:04 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 7 John Thacker 2006-05-04 09:55:45 EDT
Closing per previous comment.

Note You need to log in before you can comment on or make changes to this bug.